export type ArchiveSink = WritableStream<Uint8Array> | {
    write(chunk: Uint8Array): any;
    end?(cb?: any): any;
    on?(event: string, listener: (...args: any[]) => void): any;
    once?(event: string, listener: (...args: any[]) => void): any;
};
export declare function pipeIterableToSink(iterable: AsyncIterable<Uint8Array>, sink: ArchiveSink): Promise<void>;
export declare function collect(iterable: AsyncIterable<Uint8Array>): Promise<Uint8Array>;
